Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160608 - RHN Notification Tool not 100% localised for Russian
Summary: RHN Notification Tool not 100% localised for Russian
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks: 156322 Russian
TreeView+ depends on / blocked
 
Reported: 2005-06-16 01:35 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-731
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 17:27:31 UTC


Attachments (Terms of Use)
screenshot illustration half the contents in en_US, the rest in ru_RU (deleted)
2005-07-21 02:09 UTC, Lawrence Lim
no flags Details
string not 100% localised (deleted)
2005-07-21 02:09 UTC, Lawrence Lim
no flags Details
update po files (deleted)
2005-07-29 05:14 UTC, Leon Ho
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:711 qe-ready SHIPPED_LIVE up2date bug fix update 2005-10-05 04:00:00 UTC
Red Hat Product Errata RHBA-2005:731 qe-ready SHIPPED_LIVE rhn-applet bug fix update 2005-10-05 04:00:00 UTC

Description Lawrence Lim 2005-06-16 01:35:09 UTC
Description of problem:
Contents of RHN Notification Tool is not fully localised. 

Version-Release number of selected component (if applicable):
rhn-applet-2.1.17-5

How reproducible:
Always

Steps to Reproduce:
1.Double on the rhn applet on the desktop after log in with ru_RU locale at gdm
2.
3.
  
Actual results:
Content is in english

Expected results:
Content should be in russian

Additional info:

Comment 1 Lawrence Lim 2005-07-21 02:09:17 UTC
Created attachment 117002 [details]
screenshot illustration half the contents in en_US, the rest in ru_RU

Comment 2 Lawrence Lim 2005-07-21 02:09:55 UTC
Created attachment 117003 [details]
string not 100% localised

Comment 3 Leon Ho 2005-07-29 05:14:14 UTC
Created attachment 117262 [details]
update po files

Attached is the updated translation.

But the screenshot mentioned above seems are not lack of translation, but maybe
is a software issue.

Comment 4 Jay Turner 2005-08-02 16:42:57 UTC
QE ack.

Comment 5 Adrian Likins 2005-08-02 17:47:19 UTC
commited to cvs, should be in 2.1.19

Comment 10 Beth Nackashi 2005-08-29 19:53:19 UTC
retested with rhn-applet-2.1.19 -- this is not fixed

change system language to Russian
run up2date --register

Also, I noticed another problem, beyond the "Creating a Red Hat login gives you
access to the updates ..." shown in the screenshot in comment #1.  When you are
on the "Up2date - Channels" panel (in Russian), and you click "Forward", you see
"Fetching package list ..." and "Fetching obsoletes list" and that's still in
English.

Comment 11 Adrian Likins 2005-08-30 16:16:35 UTC
ugh, those strings aren't marked for translation, marking and rebuilding,
and attempting to sync translations as they are updated

Comment 12 Adrian Likins 2005-09-12 20:07:15 UTC
up2date strings fixed in 4.4.45-4

Comment 13 Lawrence Lim 2005-09-13 06:11:10 UTC
Cant find 4.4.45-4. Did try out 4.4.44-4, only when you click "Forward", you see
"Fetching package list ..." and "Fetching obsoletes list" in English. The rest
are OK.

[llim@porkchop llim]$ latest-pkg dist-4E-U2-errata up2date
/mnt/redhat/beehive/comps/dist/4E-U2/up2date/4.4.44-4/SRPMS/up2date-4.4.44-4.src.rpm


Comment 14 Beth Nackashi 2005-09-13 16:42:06 UTC
some up2date stuff isn't translated
- xxx of xxx kB transferred at 821 kB/sec
-Package transfer time: xx:xx:xx (xx:xx:xx remaining)
-Fetching package list ...
-Fetching obsoletes list ...

and one more thing that I forgot

and most of the rhn-applet screens aren't translated either.

[root@mspevack64 ~]# rpm -q up2date
up2date-4.4.45-4
[root@mspevack64 ~]# rpm -q rhn-applet
rhn-applet-2.1.20-4


Comment 15 Adrian Likins 2005-09-13 20:17:05 UTC
re comment #13, 4.4.45-4 is at dist-4E-qu-candidate

re comment #14... ugh, more stuff not marked for translations? Is there
anything else before I rev the translations again?

which applet screens? At the moment, I only know of start and end screen, which
are sorta translated... "Next" changed to "Forward" at some point and the glade
stuff never got updated in the pot file. Working on changing that at the
moment... Will need to rev translations again, but it should be pretty
straigtforward (the next->forward and similar changes)



Comment 16 Adrian Likins 2005-09-13 20:47:49 UTC
new pot files for rhn-applet commited, and the Makefile have been updated to
use the new way of generating the pot files, so they shouldn't get out of
sync now.

Comment 18 Adrian Likins 2005-09-14 20:27:54 UTC
up2date.pot files updated for the transfer stat strings. Man, those strings
are ancient. Need translations updated now, and will rebuild.

Comment 19 Lawrence Lim 2005-09-15 00:11:03 UTC
L10N team is now in the process of reviewing the translation now. Will update
this bug again once it is completed. ETA 48HRS.

Comment 20 Lawrence Lim 2005-09-15 06:59:21 UTC
Hello Adrian,
I have been informed that L10N team has finished updating the translation. 
Could you please proceed with the rebuilding of the new package?


Thanks.

Comment 21 Adrian Likins 2005-09-15 18:23:10 UTC
package rebuild for up2date-4.4.46

I don't see any updates for the rhn-applet however.

Comment 22 Adrian Likins 2005-09-15 18:27:14 UTC
make that up2date-4.4.47

Comment 23 Lawrence Lim 2005-09-19 05:52:20 UTC
Comment #21
rhn-applet po files have been updated.

Comment 24 Beth Nackashi 2005-09-19 17:48:11 UTC
up2date-4.4.47:

some up2date stuff still isn't translated:
- xxx of xxx kB transferred at 821 kB/sec
-Package transfer time: xx:xx:xx (xx:xx:xx remaining)
-Fetching package list ...
-Fetching obsoletes list ...

rhn-applet-2.1.22:
screens are all translated now.

Comment 25 Adrian Likins 2005-09-19 23:05:55 UTC
Think I finally have it now...

I had modified code that wasn't committed so was never making it to
the rpms. Tested with the final rpms now, and everything seems to work
correctly.

4.4.50-4

Comment 26 Lawrence Lim 2005-09-19 23:13:27 UTC
Any new strings introduced during the process? I can create a ticket for
translation. :-)

Comment 27 Adrian Likins 2005-09-20 16:15:42 UTC
Nope, no new strings. 

Comment 28 Beth Nackashi 2005-09-21 15:53:52 UTC
retested --- all translations are now correct.

Comment 29 Todd Warner 2005-09-23 21:47:07 UTC
PROD_READY is a deprecated state. This bug is now RELEASE_PENDING.

Comment 30 Red Hat Bugzilla 2005-10-05 17:19:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-711.html


Comment 31 Red Hat Bugzilla 2005-10-05 17:27:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-731.html



Note You need to log in before you can comment on or make changes to this bug.